// You can import API functions like this from D3.js.
import { select, csv } from 'd3';

// You can import local ES6 modules like this. See message.js!
import { message } from './myMessage';
var zoom = 1;
const svg = select('svg');
const button = select('button');

// This line uses D3 to set the text of the message div.
select('#message').text(message);
const width = +svg.attr('width');
const height = +svg.attr('height');
const circleGroup = svg
  .append('g')
  .attr(
    'transform',
    `translate(${width / 2},${height / 2})`
  );
var data = [
  {
    name: 'circle 1',
    cx: width / 2,
    cy: height / 2,
    r: 40,
    fill: 'green',
  },
  {
    name: 'circle 2',
    cx: width / 2,
    cy: height / 2,
    r: 30,
    fill: 'orange',
  },
  {
    name: 'circle 3',
    cx: width / 2,
    cy: height / 2,
    r: 20,
    fill: 'red',
  },
];
var circles = circleGroup
  .selectAll('circle')
  .data(data)
  .enter()
  .append('circle')
  .attr('r', function (d) {
    return d.r;
  })
  .attr('fill', function (d) {
    return d.fill;
  })
  .attr('stroke', 'black')
  .attr('stroke-width', 0)
  .on('mouseover', function () {
    d3.select(this)
      .transition()
      .duration(500)
      .attr('fill', 'black');
  })
  .on('mouseout', function () {
    d3.select(this)
      .transition()
      .duration(500)
      .attr('fill', function (d) {
        return d.fill;
      });
  });

var buttonTest = button.on(
  'click',
  function (d, i) {
    var circles = circleGroup
      .selectAll('circle')
      .transition()
      .duration(1000)
      .attr('r', function (d) {
        if (zoom < 5) {
          return d.r * 1.1 * zoom;
        } else {
          return d.r;
        }
      });
    if (zoom < 5) {
      zoom = zoom + 1;
    } else {
      zoom = 1;
    }
  }
);
